import request from '@/utils/request'

// 查询马拉松活动列表
export function listLzydMarathon(query) {
  return request({
    url: '/system/LzydMarathon/list',
    method: 'get',
    params: query
  })
}

// 查询马拉松活动详细
export function getLzydMarathon(id) {
  return request({
    url: '/system/LzydMarathon/' + id,
    method: 'get'
  })
}

// 新增马拉松活动
export function addLzydMarathon(data) {
  return request({
    url: '/system/LzydMarathon',
    method: 'post',
    data: data
  })
}

// 修改马拉松活动
export function updateLzydMarathon(data) {
  return request({
    url: '/system/LzydMarathon',
    method: 'put',
    data: data
  })
}

// 删除马拉松活动
export function delLzydMarathon(id) {
  return request({
    url: '/system/LzydMarathon/' + id,
    method: 'delete'
  })
}

// 导出马拉松活动
export function exportLzydMarathon(query) {
  return request({
    url: '/system/LzydMarathon/export',
    method: 'get',
    params: query
  })
}